Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class GridColumnListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.GridColumnListenerAdapter

All Implemented Interfaces:
  GridColumnListener

    public class GridColumnListenerAdapter

extends java.lang.Object
implements GridColumnListener

Constructor Summary
`GridColumnListenerAdapter()`

Method Summary
`void` | `onColumnMove(GridPanel grid, int oldIndex, int newIndex)` Fires when the user moves a column.
`void` | `onColumnResize(GridPanel grid, int colIndex, int newSize)` Fires when the user resizes a column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridColumnListenerAdapter

    public GridColumnListenerAdapter()

Method Detail

### onColumnMove

    public void onColumnMove(GridPanel grid,
                             int oldIndex,
                             int newIndex)

  Description copied from interface: `GridColumnListener`
  Fires when the user moves a column.

  Specified by:
    `onColumnMove` in interface `GridColumnListener`
  Parameters:
    `grid` - this
    `oldIndex` - the old column index
    `newIndex` - the new column index

### onColumnResize

    public void onColumnResize(GridPanel grid,
                               int colIndex,
                               int newSize)

  Description copied from interface: `GridColumnListener`
  Fires when the user resizes a column.

  Specified by:
    `onColumnResize` in interface `GridColumnListener`
  Parameters:
    `grid` - this
    `colIndex` - the column index
    `newSize` - the new column size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD